Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface OperatorGroup

All Known Implementing Classes:
  OperatorGroup

public interface OperatorGroup

Version:
  $Id: OperatorGroup.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler

Method Summary
`java.util.Collection` | `getChildGroups(java.lang.Long id)`
`java.lang.String` | `getGroupName(java.lang.Long id)`
`Operator` | `getOperator(java.lang.Long id)`
`java.lang.Long` | `getParentGroup(java.lang.Long id)`
`java.util.Collection` | `getTopLevelOperatorGroups()`

Method Detail

### getTopLevelOperatorGroups

    public java.util.Collection getTopLevelOperatorGroups()

  Returns:
    a `Collection` of IDs of type `Long` representing operator groups. This IDs can be used to query further information about the group using the methods of this class.

### getGroupName

    public java.lang.String getGroupName(java.lang.Long id)

  Parameters:
    `id` - the ID of an operator group
  Returns:
    the name of the operator group with the specified ID

### getOperator

    public Operator getOperator(java.lang.Long id)
                         throws M4Exception

  Parameters:
    `id` - the ID of an operator group
  Returns:
    an `Operator` if the ID refers to a single operator entry, rather than to a group.
  Throws:
    `M4Exception`

### getParentGroup

    public java.lang.Long getParentGroup(java.lang.Long id)

  Parameters:
    `id` - the ID of an operator group
  Returns:
    the ID of the parent operator group or `null`, if the ID belongs to a top-level operator group.

### getChildGroups

    public java.util.Collection getChildGroups(java.lang.Long id)

  Parameters:
    `id` - the ID of an operator group
  Returns:
    a `Collection` of the ID of all child operator groups (or operator instances) referred to with their `Long` IDs. If the specified id is unknown or does not contain sub-elements, then `null` is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005